%global pypi_name qrcode

%bcond_with check

Name:           python-%{pypi_name}
Version:        8.0
Release:        %mkrel 1
Summary:        Python QR Code image generator
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/qrcode/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
This module uses the Python Imaging Library (PIL) to allow for the generation
of QR Codes.

%package -n python3-%{pypi_name}
Summary:        Python QR Code image generator
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python3-qrcode-core < 7.4.2-2

%description -n python3-%{pypi_name}
This module uses the Python Imaging Library (PIL) to allow for the generation
of QR Codes.

%pyproject_extras_subpkg -n python3-%{pypi_name} pil png

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%py3_shebang_fix qrcode/console_scripts.py

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t} -x pil,png

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

# Do not install tests
rm -r %{buildroot}%{python3_sitelib}/%{pypi_name}/tests
sed -i -e '/qrcode\/tests/d' %{pyproject_files}

#
# In previous iterations of the package, the qr script had been
# renamed to qrcode. This was an unnecessary change from upstream.
#
# We cary this symlink to maintain compat with old packages.
#
ln -s qr %{buildroot}%{_bindir}/qrcode

%check
sed -i -e '/qrcode.tests/d' %{_pyproject_modules}
%pyproject_check_import
%if %{with check}
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst CHANGES.rst
%license LICENSE
%{_bindir}/qr
%{_bindir}/qrcode


%changelog
* Mon Feb 24 2025 wally <wally> 8.0-1.mga10
+ Revision: 2151906
- new version 8.0
- rebuild for python3.13

* Fri Aug 16 2024 wally <wally> 7.4.2-2.mga10
+ Revision: 2086755
- use %%pyproject_buildrequires when building
- merge separate core pkg into the main pkg
- add pil and png extras subpkgs
- add support for tox testing, but disable it by default due to missing files in source tarball

* Mon Jan 01 2024 daviddavid <daviddavid> 7.4.2-1.mga10
+ Revision: 2025398
- new version: 7.4.2
- make pypng requirement optional

* Mon Jan 01 2024 daviddavid <daviddavid> 7.3.1-4.mga10
+ Revision: 2025380
- rebuild for py3.12

* Wed Apr 06 2022 umeabot <umeabot> 7.3.1-3.mga9
+ Revision: 1845993
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 7.3.1-2.mga9
+ Revision: 1778383
- rebuild for python-3.10

* Sat Nov 06 2021 joequant <joequant> 7.3.1-1.mga9
+ Revision: 1754082
- update to 7.3.1

* Thu Apr 01 2021 guillomovitch <guillomovitch> 6.1-3.mga9
+ Revision: 1712544
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 6.1-2.mga8
+ Revision: 1532776
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 wally <wally> 6.1-1.mga8
+ Revision: 1443133
- rebuild for python3.8
- drop python2 support

* Sat Apr 20 2019 wally <wally> 6.1-1.mga7
+ Revision: 1393779
- new version 6.1

* Thu Jan 10 2019 shlomif <shlomif> 6.0-4.mga7
+ Revision: 1354041
- Rebuild for python3 3.7

* Sat Oct 13 2018 joequant <joequant> 6.0-3.mga7
+ Revision: 1320104
- fix provides to have python-qrcode

* Sun Oct 07 2018 wally <wally> 6.0-2.mga7
+ Revision: 1318535
- obsolete old python-qrcode

* Sun Oct 07 2018 joequant <joequant> 6.0-1.mga7
+ Revision: 1318377
- upgrade to 6.0 - change python2 conventions

* Thu Sep 20 2018 umeabot <umeabot> 5.3-3.mga7
+ Revision: 1289984
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 5.3-2.mga7
+ Revision: 1135597
- Rebuild for python 3.6

* Sun Nov 20 2016 joequant <joequant> 5.3-1.mga6
+ Revision: 1068412
- imported package python-qrcode

